Subject: Ticket Assigned - Reversal
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Thu, 22 Dec 2022 08:05:50 +0000

Hi Zeina Abdeen,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Reversal Hi,

Good day.

I would like to raise a concern regarding the reversal for my order last
Nov 21, 2022. As per the bank advised, i need to wait 14 working days for
the reversal, but as of this date, i still didn't get the reversal from
Landmark.

I used a credit card for my transaction but it gave a message that the
transaction did not go through, so i made a payment Cash on delivery (COD)
but apparently it was also debited on the card.

I need the reversal that was debited on the card.

Please see attached photos for your reference.

Thank you very much.

Regards,
Jiema Taleon

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5491676